var lineLink = window.location.href;
var desc = '点击进入：在线720°鉴赏精品文物';
var projectName = 'DG';

var getQueryVariable = function(variable){
  var query = window.location.search.substring(1);
  var vars = query.split("&");
  for (var i=0;i<vars.length;i++) {
          var pair = vars[i].split("=");
          if(pair[0] == variable){return pair[1];}
  }
  return(false);
};

let param = getQueryVariable('m');
// let desc = param?;

function jssdk() {
	 $.ajax({    
		url:'http://www.4dage.com/wechat/jssdk/share/', 
		type: "post",
		data : {
            'uri' : location.href.split('#')[0],
            'name': '厦门四维时代微信公众号'
		}, 
		dataType:"jsonp",     
		jsonpCallback:"success_jsonp",         
		success:function(data,textStatus){
			wx.config({
				// debug : true,
				appId : data.appId,
				timestamp : data.timestamp,
				nonceStr : data.nonceStr,
				signature : data.signature,
				jsApiList : [ 'checkJsApi', 'onMenuShareTimeline',
						'onMenuShareAppMessage', 'onMenuShareQQ',
						'onMenuShareWeibo', 'hideMenuItems',
						'showMenuItems', 'hideAllNonBaseMenuItem',
						'showAllNonBaseMenuItem', 'translateVoice',
						'startRecord', 'stopRecord', 'onRecordEnd',
						'playVoice', 'pauseVoice', 'stopVoice',
						'uploadVoice', 'downloadVoice', 'chooseImage',
						'previewImage', 'uploadImage', 'downloadImage',
						'getNetworkType', 'openLocation', 'getLocation',
						'hideOptionMenu', 'showOptionMenu', 'closeWindow',
						'scanQRCode', 'chooseWXPay',
						'openProductSpecificView', 'addCard', 'chooseCard',
						'openCard' ]
			});
		},    
		error:function(XMLHttpRequest,textStatus,errorThrown){    
			console.log("jsonp.error:"+textStatus);    
		}    
	 }); 
	
	 var success_jsonp = function(json){
		console.log(json);
	 };
}

wx.ready(function(){ 
	// config信息验证后会执行ready方法，所有接口调用都必须在config接口获得结果之后，config是一个客户端的异步操作，所以如果需要在页面加载时就调用相关接口，则须把相关接口放在ready函数中调用来确保正确执行〿
	//对于用户触发时才调用的接口，则可以直接调用，不需要放在ready函数中〿
	//分享到朋友圈 
	wx.onMenuShareTimeline({ 
	title: document.querySelector("head title").innerHTML, // 分享标题 
	link: lineLink, // 分享链接 
	imgUrl: 'http://model3d.4dage.com/3D/2018/model/'+projectName+'/images/weixin/'+getQueryVariable("m")+'.jpg', // 分享图标 
	desc: desc
	}); 

	//获取“分享给朋友”按钮点击状态及自定义分享内容接叿
	wx.onMenuShareAppMessage({ 
        title: '义乌博物馆', // 分享标题 
        desc: param?modelData[param].CN_Name:'',  // 分享描述 
        link: lineLink + '?t=' + new Date().getTime(), // 分享链接 
        // imgUrl: 'http://model3d.4dage.com/3D/2018/model/'+projectName+'/images/weixin/'+getQueryVariable("m")+'.jpg', // 分享图标 
        imgUrl: 'https://model3d.4dage.com/3D/2018/model/sh/images/bg.jpg', // 分享图标 
        type: '', // 分享类型,music、video或link，不填默认为link 
        dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空 
        success: function () {
        },
	}); 
});

wx.onMenuShareWeibo({
	title: document.querySelector("head title").innerHTML, // 分享标题
	desc: desc, // 分享描述
	link: lineLink, // 分享链接
	imgUrl: 'http://model3d.4dage.com/3D/2018/model/'+projectName+'/images/weixin/'+getQueryVariable("m")+'.jpg', // 分享图标
	success: function () { 
	   // 用户确认分享后执行的回调函数
	},
	cancel: function () { 
		// 用户取消分享后执行的回调函数
	}
});

wx.onMenuShareQZone({
	title: document.querySelector("head title").innerHTML, // 分享标题
	desc: desc, // 分享描述
	link: lineLink, // 分享链接
	imgUrl: 'http://model3d.4dage.com/3D/2018/model/'+projectName+'/images/weixin/'+getQueryVariable("m")+'.jpg', // 分享图标
	success: function () { 
	   // 用户确认分享后执行的回调函数
	},
	cancel: function () { 
		// 用户取消分享后执行的回调函数
	}
});

wx.onMenuShareQQ({
	title: document.querySelector("head title").innerHTML, // 分享标题
	desc: desc, // 分享描述
	link: lineLink, // 分享链接
	imgUrl: 'http://model3d.4dage.com/3D/2018/model/'+projectName+'/images/weixin/'+getQueryVariable("m")+'.jpg', // 分享图标
	success: function () { 
	   // 用户确认分享后执行的回调函数
	},
	cancel: function () { 
	   // 用户取消分享后执行的回调函数
	}
});

wx.error(function(res){ 
// config信息验证失败会执行error函数，如签名过期导致验证失败，具体错误信息可以打开config的debug模式查看，也可以在返回的res参数中查看，对于SPA可以在这里更新签名〿

});

jssdk();

